.particletext {
  text-align: center;
  font-size: 48px;
  position: relative;
  border-radius: 8px;
  padding: 1px;
  background: #eee;
}

/* hearts */
body .particletext.hearts > .particle {
  opacity: 0;
  position: absolute;
  background-color: rgba(204,42,93,1);
  animation: hearts 3s ease-in infinite;
}
body .particletext.hearts > .particle:before,
body .particletext.hearts > .particle:after {
  position: absolute;
  content: '';
  border-radius: 100px;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background-color: rgb(255, 55, 119);
}
body .particletext.hearts > .particle:before {
  transform: translateX(-50%);
}
body .particletext.hearts > .particle:after {
  transform: translateY(-50%);
}

/* 画像の場合 */
/* ラッパー */
.particle-wrapper {
  position: relative;
  display: inline-block;
}

.particle-wrapper img {
  display: block;
}

/* ハートの粒（CSSで描画） */
.particle-wrapper.hearts .particle {
  opacity: 0;
  position: absolute;
  width: 20px;     /* ハートの大きさ */
  height: 20px;
  background-color: rgb(255, 59, 121);
  transform: rotate(45deg); /* 四角＋丸でハート形にするために回転 */
  animation: hearts 3s ease-in infinite forwards;
}

.particle-wrapper.hearts .particle:before,
.particle-wrapper.hearts .particle:after {
  position: absolute;
  content: '';
  border-radius: 100px;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background-color: rgb(255, 54, 118);
}

.particle-wrapper.hearts .particle:before {
  transform: translateX(-50%);
}
.particle-wrapper.hearts .particle:after {
  transform: translateY(-50%);
}

/* animations */
@keyframes hearts {
  0% {
    opacity: 0;
    transform: translate(0, 0%) rotate(45deg);
  }
  20% {
    opacity: 0.8;
    transform: translate(0, -20%) rotate(45deg);
  }
  100% {
    opacity: 0;
    transform: translate(0, -1000%) rotate(45deg);
  }
}
